# Web Cloud › Domains › Transfers API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 6 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/domains/transfers.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/domains/transfers.json?format=openapi3

## Operations

- `GET /domain/name/{domainName}/task/{taskId}/foa` — List the FOAs (Form of Authorization) attached to a domain name task
- `GET /domain/name/{domainName}/task/{taskId}/foa/{foaId}` — Get a specific FOA (Form of Authorization) attached to a domain name task
- `POST /domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend` — Resend the FOA (Form of Authorization) email to its recipient
- `GET /domain/{serviceName}/authInfo` — Return authInfo code if the domain is unlocked
- `GET /domain/{serviceName}/ukRegistrars` — Return the list of all .uk registrars
- `POST /domain/{serviceName}/ukOutgoingTransfer` — Schedule an outgoing transfer task for this domain (.uk only)

## List the FOAs (Form of Authorization) attached to a domain name task

`GET /v2/domain/name/{domainName}/task/{taskId}/foa`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#get-domain-name-domainname-task-taskid-foa

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/task/foa/get`

List the FOAs (Form of Authorization) attached to a domain name task. Trade operations may produce several FOAs (one per involved contact). Outgoing transfers produce a single FOA.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `domainName` | path | string | yes | Domain name |
| `taskId` | path | string (uuid) | yes | Task ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Foa[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string | read-only | Computed hash of the current state of the FOA. Reflects the latest observed state. |
| `currentState` | domain.FoaCurrentState | read-only | Current state of the FOA |
| `currentState.answeredAt` | string (date-time) | read-only | Date when the FOA was answered by the recipient. Null when the FOA has not been answered yet. |
| `currentState.choice` | domain.resource.FoaChoiceEnum | read-only | Recipient's decision on the FOA. Null when the FOA has not been answered yet. — one of `ACCEPT`, `REJECT` |
| `currentState.contact` | string | read-only | Identifier of the contact the FOA has been sent to |
| `currentState.contactEmail` | string | read-only | Partially masked email address of the contact the FOA has been sent to |
| `currentState.domain` | string | read-only | Domain name this FOA is attached to |
| `currentState.expiresAt` | string (date-time) | read-only | Date beyond which the FOA can no longer be answered |
| `currentState.sentAt` | string (date-time) | read-only | Date when the FOA was sent to the recipient |
| `currentState.token` | string | read-only | Partially masked authorization token embedded in the FOA link |
| `currentState.type` | domain.resource.FoaTypeEnum | read-only | Type of FOA (trade or outgoing transfer) — one of `OUTGOING_TRANSFER`, `TRADE` |
| `id` | string (uuid) | read-only | Unique identifier of the FOA |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Readiness of the FOA resource — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |

```json
[
  {
    "checksum": "string",
    "currentState": {
      "answeredAt": "2024-01-01T12:00:00Z",
      "choice": "ACCEPT",
      "contact": "string",
      "contactEmail": "string",
      "domain": "string",
      "expiresAt": "2024-01-01T12:00:00Z",
      "sentAt": "2024-01-01T12:00:00Z",
      "token": "string",
      "type": "OUTGOING_TRANSFER"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "resourceStatus": "CREATING"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/domain/name/{domainName}/task/{taskId}/foa")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/domain/name/{domainName}/task/{taskId}/foa");

print_r($result);
?>
```

## Get a specific FOA (Form of Authorization) attached to a domain name task

`GET /v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#get-domain-name-domainname-task-taskid-foa-foaid

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/task/foa/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `domainName` | path | string | yes | Domain name |
| `foaId` | path | string (uuid) | yes | Foa ID |
| `taskId` | path | string (uuid) | yes | Task ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Foa | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string | read-only | Computed hash of the current state of the FOA. Reflects the latest observed state. |
| `currentState` | domain.FoaCurrentState | read-only | Current state of the FOA |
| `currentState.answeredAt` | string (date-time) | read-only | Date when the FOA was answered by the recipient. Null when the FOA has not been answered yet. |
| `currentState.choice` | domain.resource.FoaChoiceEnum | read-only | Recipient's decision on the FOA. Null when the FOA has not been answered yet. — one of `ACCEPT`, `REJECT` |
| `currentState.contact` | string | read-only | Identifier of the contact the FOA has been sent to |
| `currentState.contactEmail` | string | read-only | Partially masked email address of the contact the FOA has been sent to |
| `currentState.domain` | string | read-only | Domain name this FOA is attached to |
| `currentState.expiresAt` | string (date-time) | read-only | Date beyond which the FOA can no longer be answered |
| `currentState.sentAt` | string (date-time) | read-only | Date when the FOA was sent to the recipient |
| `currentState.token` | string | read-only | Partially masked authorization token embedded in the FOA link |
| `currentState.type` | domain.resource.FoaTypeEnum | read-only | Type of FOA (trade or outgoing transfer) — one of `OUTGOING_TRANSFER`, `TRADE` |
| `id` | string (uuid) | read-only | Unique identifier of the FOA |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Readiness of the FOA resource — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |

```json
{
  "checksum": "string",
  "currentState": {
    "answeredAt": "2024-01-01T12:00:00Z",
    "choice": "ACCEPT",
    "contact": "string",
    "contactEmail": "string",
    "domain": "string",
    "expiresAt": "2024-01-01T12:00:00Z",
    "sentAt": "2024-01-01T12:00:00Z",
    "token": "string",
    "type": "OUTGOING_TRANSFER"
  },
  "id": "00000000-0000-0000-0000-000000000000",
  "resourceStatus": "CREATING"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}");

print_r($result);
?>
```

## Resend the FOA (Form of Authorization) email to its recipient

`POST /v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#post-domain-name-domainname-task-taskid-foa-foaid-resend

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/task/foa/resend`

Resend the FOA (Form of Authorization) email to its recipient. Fails when the FOA has already been answered, when it is expired, or when the underlying task has already finished.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `domainName` | path | string | yes | Domain name |
| `foaId` | path | string (uuid) | yes | Foa ID |
| `taskId` | path | string (uuid) | yes | Task ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.post("/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->post("/v2/domain/name/{domainName}/task/{taskId}/foa/{foaId}/resend");

print_r($result);
?>
```

## Return authInfo code if the domain is unlocked

`GET /1.0/domain/{serviceName}/authInfo`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#get-domain-servicename-authinfo

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:authInfo/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string (password) | successful operation |

```json
"string"
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/authInfo" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}/authInfo")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}/authInfo");

print_r($result);
?>
```

## Return the list of all .uk registrars

`GET /1.0/domain/{serviceName}/ukRegistrars`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#get-domain-servicename-ukregistrars

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:ukRegistrar/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.UkRegistrar[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | read-only | Registrar name |
| `tag` | string | yes | Registrar tag |

```json
[
  {
    "name": "string",
    "tag": "string"
  }
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/ukRegistrars" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}/ukRegistrars")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}/ukRegistrars");

print_r($result);
?>
```

## Schedule an outgoing transfer task for this domain (.uk only)

`POST /1.0/domain/{serviceName}/ukOutgoingTransfer`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/transfers/#post-domain-servicename-ukoutgoingtransfer

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:outgoingTransfer/uk/create`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `domain.UkRegistrar`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | read-only | Registrar name |
| `tag` | string | yes | Registrar tag |

```json
{
  "tag": "string"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canAccelerate` | boolean | read-only | Can accelerate the task |
| `canCancel` | boolean | read-only | Can cancel the task |
| `canRelaunch` | boolean | read-only | Can relaunch the task |
| `comment` | string | read-only | Comment about the task |
| `creationDate` | string (date-time) | read-only | Creation date of the task |
| `domain` | string | read-only | Domain of the task |
| `doneDate` | string (date-time) | read-only | Done date of the task |
| `function` | string | read-only | Function of the task |
| `id` | integer | read-only | Id of the task |
| `lastUpdate` | string (date-time) | read-only | Last update date of the task |
| `status` | domain.OperationStatusEnum | read-only | Status of the task — one of `cancelled`, `doing`, `done`, `error`, `problem`, `todo` |
| `todoDate` | string (date-time) | read-only | Todo date of the task |
| `type` | domain.OperationTypeEnum | read-only | type of the task — one of `alldom`, `domain` |

```json
{
  "canAccelerate": true,
  "canCancel": true,
  "canRelaunch": true,
  "comment": "string",
  "creationDate": "2024-01-01T12:00:00Z",
  "domain": "string",
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "lastUpdate": "2024-01-01T12:00:00Z",
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "type": "alldom"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/ukOutgoingTransfer" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.UkRegistrar
result = client.post("/domain/{serviceName}/ukOutgoingTransfer",
	tag = None, # Registrar tag (type: string)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.UkRegistrar
$result = $ovh->post("/domain/{serviceName}/ukOutgoingTransfer", array(
	tag => null, // Registrar tag (type: string)
));

print_r($result);
?>
```
